Subject: bug#40710: node-build-system should not install tests

From: [email-masked]
Date: Sun, 19 Apr 2020 09:12:20 +0000

As discussed here [0], node-build-system right now installs all the 
contents of a package's root node_modules directory, including i.e. 
tests.
We should investigate how exactly npm decides what to install and try to 
replicate that inside node-build-system. It seems likely that it uses 
the "files" array from the package.json file (see [1-2]).

[0]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36599
[1]: https://github.com/colorjs/color-name/blob/master/package.json#L6
[2]: https://github.com/npm/node-semver/blob/master/package.json#L21